package main;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.border.EmptyBorder;

public class InfoPanel extends JPanel {

	protected StartClass change;
	
	protected JTextArea textArea;
	protected JLabel label;
	protected JButton ButtonOk;
	protected JButton ButtonExit;
	
	
	public InfoPanel(StartClass _change) {
		super();
		
		change = _change;
		
		textArea = new JTextArea();
		textArea.setEditable(false);
		textArea.setText(getTextInShow());
		textArea.setLineWrap(true);
		textArea.setWrapStyleWord(true);
		
		label = new JLabel("About book");
		
		ButtonOk = new JButton("ok");
		ButtonOk.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				change.startTest();
			}
		});
		
		ButtonExit = new JButton("Exit");
		ButtonExit.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				change.exit();
			}
		});
		
		setLayout(new BorderLayout(5, 5));
		setBorder(new EmptyBorder(5, 5, 5, 5));
		add(IOFactory.getScrollPane(textArea), BorderLayout.CENTER);
		add(IOFactory.getPane(label), BorderLayout.NORTH);
		add(IOFactory.getPanelForButton(ButtonExit, ButtonOk), BorderLayout.SOUTH);
		
	}
	
	protected String getTextInShow(){
		return IOFactory.getTextOnInfoPane();
	}
	
	
}
